aboutsummaryrefslogtreecommitdiffstats
path: root/meta/files
diff options
context:
space:
mode:
authorRichard Purdie <richard.purdie@linuxfoundation.org>2016-01-08 18:26:39 +0000
committerRichard Purdie <richard.purdie@linuxfoundation.org>2016-01-11 15:54:34 +0000
commit38237b7ac53c416f85c4a70a61acafc3404c8b5f (patch)
tree3dd3cfa98e5d4153ccb4275f2563029fa9869e2e /meta/files
parentf11342f0c838b520828927c9d69f7c17309c1b48 (diff)
downloadopenembedded-core-contrib-38237b7ac53c416f85c4a70a61acafc3404c8b5f.tar.gz
populate_sdk_ext: Use new --setscene-only option to bitbake instead of workarounds
Rather than horrible workarounds, use the new --setscene-only option of bitbake to pre-populate the SDK structures. Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
Diffstat (limited to 'meta/files')
-rw-r--r--meta/files/ext-sdk-prepare.sh14
1 files changed, 1 insertions, 13 deletions
diff --git a/meta/files/ext-sdk-prepare.sh b/meta/files/ext-sdk-prepare.sh
index 160c71e97c..b3f5d93615 100644
--- a/meta/files/ext-sdk-prepare.sh
+++ b/meta/files/ext-sdk-prepare.sh
@@ -5,16 +5,4 @@
target_sdk_dir="$1"
sdk_targets="$2"
-# Avoid actually building images during this phase, but still
-# ensure all dependencies are extracted from sstate
-# This is a hack, to be sure, but we really don't need to do this here
-for sdktarget in $sdk_targets ; do
- bbappend=`recipetool newappend $target_sdk_dir/workspace $sdktarget`
- printf 'python do_rootfs_forcevariable () {\n bb.utils.mkdirhier(d.getVar("IMAGE_ROOTFS", True))\n}\n' > $bbappend
- printf 'python do_bootimg () {\n pass\n}\n' >> $bbappend
- printf 'python do_bootdirectdisk () {\n pass\n}\n' >> $bbappend
- printf 'python do_vmimg () {\n pass\n}\n' >> $bbappend
- printf "Created bbappend %s\n" "$bbappend"
-done
-bitbake $sdk_targets || exit 1
-rm -rf $target_sdk_dir/workspace/appends/*
+bitbake $sdk_targets --setscene-only || exit 1